
_uart1:

;MyProject.mbas,49 :: 		sub procedure uart1()
;MyProject.mbas,50 :: 		if (UART1_Data_Ready() <> 0) then  ' If data is received,
	CALL       _UART1_Data_Ready+0
	MOVF       R0+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L__uart12
;MyProject.mbas,52 :: 		uart_rd = UART1_Read()
	CALL       _UART1_Read+0
	MOVF       R0+0, 0
	MOVWF      _uart_rd+0
	CLRF       _uart_rd+1
;MyProject.mbas,53 :: 		UART1_Write(uart_rd)
	MOVF       _uart_rd+0, 0
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;MyProject.mbas,54 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,55 :: 		inttostr(uart_rd,msg)     'display to lcd
	MOVF       _uart_rd+0, 0
	MOVWF      FARG_IntToStr_input+0
	MOVF       _uart_rd+1, 0
	MOVWF      FARG_IntToStr_input+1
	MOVLW      _msg+0
	MOVWF      FARG_IntToStr_output+0
	CALL       _IntToStr+0
;MyProject.mbas,57 :: 		Lcd_Out(2,11,msg)
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      11
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _msg+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
L__uart12:
;MyProject.mbas,59 :: 		end sub
L_end_uart1:
	RETURN
; end of _uart1

_main:

;MyProject.mbas,61 :: 		main:
;MyProject.mbas,62 :: 		ANSEL=0          '16F887
	CLRF       ANSEL+0
;MyProject.mbas,63 :: 		ANSELH=0       '16F887
	CLRF       ANSELH+0
;MyProject.mbas,64 :: 		ADCON1 = 0x80             ' A/D voltage reference is VCC
	MOVLW      128
	MOVWF      ADCON1+0
;MyProject.mbas,65 :: 		car2=0
	CLRF       _car2+0
;MyProject.mbas,66 :: 		car1=5
	MOVLW      5
	MOVWF      _car1+0
;MyProject.mbas,69 :: 		trisa=%00000000
	CLRF       TRISA+0
;MyProject.mbas,70 :: 		TRISB = 0
	CLRF       TRISB+0
;MyProject.mbas,71 :: 		TRISD = 0
	CLRF       TRISD+0
;MyProject.mbas,72 :: 		TRISE = 0
	CLRF       TRISE+0
;MyProject.mbas,73 :: 		porta=%00000000
	CLRF       PORTA+0
;MyProject.mbas,74 :: 		porte=%00000000
	CLRF       PORTE+0
;MyProject.mbas,75 :: 		portd=%00000000
	CLRF       PORTD+0
;MyProject.mbas,76 :: 		PORTB = 0xFF
	MOVLW      255
	MOVWF      PORTB+0
;MyProject.mbas,77 :: 		Keypad_Init()       ' Initialize keypad on PORTC
	CALL       _Keypad_Init+0
;MyProject.mbas,78 :: 		Lcd_Init()          ' Initialize LCD on PORTB,
	CALL       _Lcd_Init+0
;MyProject.mbas,79 :: 		Lcd_Cmd(_LCD_CLEAR) ' Clear display
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,83 :: 		UART1_Init(9600)
	MOVLW      51
	MOVWF      SPBRG+0
	BSF        TXSTA+0, 2
	CALL       _UART1_Init+0
;MyProject.mbas,84 :: 		Delay_ms(1000)
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L__main6:
	DECFSZ     R13+0, 1
	GOTO       L__main6
	DECFSZ     R12+0, 1
	GOTO       L__main6
	DECFSZ     R11+0, 1
	GOTO       L__main6
	NOP
	NOP
;MyProject.mbas,86 :: 		UART1_Write_Text("connected ")
	MOVLW      99
	MOVWF      ?LocalText_main+0
	MOVLW      111
	MOVWF      ?LocalText_main+1
	MOVLW      110
	MOVWF      ?LocalText_main+2
	MOVLW      110
	MOVWF      ?LocalText_main+3
	MOVLW      101
	MOVWF      ?LocalText_main+4
	MOVLW      99
	MOVWF      ?LocalText_main+5
	MOVLW      116
	MOVWF      ?LocalText_main+6
	MOVLW      101
	MOVWF      ?LocalText_main+7
	MOVLW      100
	MOVWF      ?LocalText_main+8
	MOVLW      32
	MOVWF      ?LocalText_main+9
	CLRF       ?LocalText_main+10
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_UART1_Write_Text_uart_text+0
	CALL       _UART1_Write_Text+0
;MyProject.mbas,92 :: 		Lcd_Cmd(_LCD_CURSOR_OFF)
	MOVLW      12
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,93 :: 		Lcd_Out(1,1,"FinalProjectV1.0")          'write message text on LCD
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      70
	MOVWF      ?LocalText_main+0
	MOVLW      105
	MOVWF      ?LocalText_main+1
	MOVLW      110
	MOVWF      ?LocalText_main+2
	MOVLW      97
	MOVWF      ?LocalText_main+3
	MOVLW      108
	MOVWF      ?LocalText_main+4
	MOVLW      80
	MOVWF      ?LocalText_main+5
	MOVLW      114
	MOVWF      ?LocalText_main+6
	MOVLW      111
	MOVWF      ?LocalText_main+7
	MOVLW      106
	MOVWF      ?LocalText_main+8
	MOVLW      101
	MOVWF      ?LocalText_main+9
	MOVLW      99
	MOVWF      ?LocalText_main+10
	MOVLW      116
	MOVWF      ?LocalText_main+11
	MOVLW      86
	MOVWF      ?LocalText_main+12
	MOVLW      49
	MOVWF      ?LocalText_main+13
	MOVLW      46
	MOVWF      ?LocalText_main+14
	MOVLW      48
	MOVWF      ?LocalText_main+15
	CLRF       ?LocalText_main+16
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,94 :: 		Lcd_Out(2,1,"Sem1        2013")
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      83
	MOVWF      ?LocalText_main+0
	MOVLW      101
	MOVWF      ?LocalText_main+1
	MOVLW      109
	MOVWF      ?LocalText_main+2
	MOVLW      49
	MOVWF      ?LocalText_main+3
	MOVLW      32
	MOVWF      ?LocalText_main+4
	MOVLW      32
	MOVWF      ?LocalText_main+5
	MOVLW      32
	MOVWF      ?LocalText_main+6
	MOVLW      32
	MOVWF      ?LocalText_main+7
	MOVLW      32
	MOVWF      ?LocalText_main+8
	MOVLW      32
	MOVWF      ?LocalText_main+9
	MOVLW      32
	MOVWF      ?LocalText_main+10
	MOVLW      32
	MOVWF      ?LocalText_main+11
	MOVLW      50
	MOVWF      ?LocalText_main+12
	MOVLW      48
	MOVWF      ?LocalText_main+13
	MOVLW      49
	MOVWF      ?LocalText_main+14
	MOVLW      51
	MOVWF      ?LocalText_main+15
	CLRF       ?LocalText_main+16
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,95 :: 		delay_ms(1000)
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L__main7:
	DECFSZ     R13+0, 1
	GOTO       L__main7
	DECFSZ     R12+0, 1
	GOTO       L__main7
	DECFSZ     R11+0, 1
	GOTO       L__main7
	NOP
	NOP
;MyProject.mbas,96 :: 		Lcd_Out(1,1,"WifiTrafficLight")
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      87
	MOVWF      ?LocalText_main+0
	MOVLW      105
	MOVWF      ?LocalText_main+1
	MOVLW      102
	MOVWF      ?LocalText_main+2
	MOVLW      105
	MOVWF      ?LocalText_main+3
	MOVLW      84
	MOVWF      ?LocalText_main+4
	MOVLW      114
	MOVWF      ?LocalText_main+5
	MOVLW      97
	MOVWF      ?LocalText_main+6
	MOVLW      102
	MOVWF      ?LocalText_main+7
	MOVLW      102
	MOVWF      ?LocalText_main+8
	MOVLW      105
	MOVWF      ?LocalText_main+9
	MOVLW      99
	MOVWF      ?LocalText_main+10
	MOVLW      76
	MOVWF      ?LocalText_main+11
	MOVLW      105
	MOVWF      ?LocalText_main+12
	MOVLW      103
	MOVWF      ?LocalText_main+13
	MOVLW      104
	MOVWF      ?LocalText_main+14
	MOVLW      116
	MOVWF      ?LocalText_main+15
	CLRF       ?LocalText_main+16
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,97 :: 		Lcd_Out(2,1,"Noofa & Latifa  ")
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      78
	MOVWF      ?LocalText_main+0
	MOVLW      111
	MOVWF      ?LocalText_main+1
	MOVLW      111
	MOVWF      ?LocalText_main+2
	MOVLW      102
	MOVWF      ?LocalText_main+3
	MOVLW      97
	MOVWF      ?LocalText_main+4
	MOVLW      32
	MOVWF      ?LocalText_main+5
	MOVLW      38
	MOVWF      ?LocalText_main+6
	MOVLW      32
	MOVWF      ?LocalText_main+7
	MOVLW      76
	MOVWF      ?LocalText_main+8
	MOVLW      97
	MOVWF      ?LocalText_main+9
	MOVLW      116
	MOVWF      ?LocalText_main+10
	MOVLW      105
	MOVWF      ?LocalText_main+11
	MOVLW      102
	MOVWF      ?LocalText_main+12
	MOVLW      97
	MOVWF      ?LocalText_main+13
	MOVLW      32
	MOVWF      ?LocalText_main+14
	MOVLW      32
	MOVWF      ?LocalText_main+15
	CLRF       ?LocalText_main+16
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,98 :: 		delay_ms(500)
	MOVLW      6
	MOVWF      R11+0
	MOVLW      19
	MOVWF      R12+0
	MOVLW      173
	MOVWF      R13+0
L__main8:
	DECFSZ     R13+0, 1
	GOTO       L__main8
	DECFSZ     R12+0, 1
	GOTO       L__main8
	DECFSZ     R11+0, 1
	GOTO       L__main8
	NOP
	NOP
;MyProject.mbas,101 :: 		kp = 0            ' Start of program
	CLRF       _kp+0
;MyProject.mbas,102 :: 		s1=1   'space for character before passkey
	MOVLW      1
	MOVWF      _s1+0
;MyProject.mbas,103 :: 		cnt=21  'delay
	MOVLW      21
	MOVWF      _cnt+0
;MyProject.mbas,104 :: 		cnt1=6  'delay
	MOVLW      6
	MOVWF      _cnt1+0
;MyProject.mbas,105 :: 		cnt2=21  'delay
	MOVLW      21
	MOVWF      _cnt2+0
;MyProject.mbas,106 :: 		cnt3=6  'delay
	MOVLW      6
	MOVWF      _cnt3+0
;MyProject.mbas,107 :: 		cnt4=40 'emergency
	MOVLW      40
	MOVWF      _cnt4+0
;MyProject.mbas,108 :: 		while true          ' Wait for some key to be pressed and released
L__main11:
;MyProject.mbas,110 :: 		con:
L__main_con:
;MyProject.mbas,113 :: 		if (UART1_Data_Ready() <> 0) then  ' If data is received,
	CALL       _UART1_Data_Ready+0
	MOVF       R0+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L__main17
;MyProject.mbas,114 :: 		con3:
L__main_con3:
;MyProject.mbas,115 :: 		uart_rd = UART1_Read()
	CALL       _UART1_Read+0
	MOVF       R0+0, 0
	MOVWF      _uart_rd+0
	CLRF       _uart_rd+1
;MyProject.mbas,116 :: 		UART1_Write(uart_rd)
	MOVF       _uart_rd+0, 0
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;MyProject.mbas,117 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,118 :: 		inttostr(uart_rd,msg)     'display to lcd
	MOVF       _uart_rd+0, 0
	MOVWF      FARG_IntToStr_input+0
	MOVF       _uart_rd+1, 0
	MOVWF      FARG_IntToStr_input+1
	MOVLW      _msg+0
	MOVWF      FARG_IntToStr_output+0
	CALL       _IntToStr+0
;MyProject.mbas,120 :: 		Lcd_Out(2,11,msg)
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      11
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _msg+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,125 :: 		if (uart_rd=65) then
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main63
	MOVLW      65
	XORWF      _uart_rd+0, 0
L__main63:
	BTFSS      STATUS+0, 2
	GOTO       L__main22
;MyProject.mbas,126 :: 		reset:
L__main_reset:
;MyProject.mbas,127 :: 		cnt=21  'delay
	MOVLW      21
	MOVWF      _cnt+0
;MyProject.mbas,128 :: 		cnt1=6  'delay
	MOVLW      6
	MOVWF      _cnt1+0
;MyProject.mbas,129 :: 		cnt2=21  'delay
	MOVLW      21
	MOVWF      _cnt2+0
;MyProject.mbas,130 :: 		cnt3=6  'delay
	MOVLW      6
	MOVWF      _cnt3+0
;MyProject.mbas,131 :: 		cnt4=40 'emergency
	MOVLW      40
	MOVWF      _cnt4+0
;MyProject.mbas,132 :: 		delay1:
L__main_delay1:
;MyProject.mbas,134 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,135 :: 		Lcd_Out(1,3,"STOP       ")
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      3
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      83
	MOVWF      ?LocalText_main+0
	MOVLW      84
	MOVWF      ?LocalText_main+1
	MOVLW      79
	MOVWF      ?LocalText_main+2
	MOVLW      80
	MOVWF      ?LocalText_main+3
	MOVLW      32
	MOVWF      ?LocalText_main+4
	MOVLW      32
	MOVWF      ?LocalText_main+5
	MOVLW      32
	MOVWF      ?LocalText_main+6
	MOVLW      32
	MOVWF      ?LocalText_main+7
	MOVLW      32
	MOVWF      ?LocalText_main+8
	MOVLW      32
	MOVWF      ?LocalText_main+9
	MOVLW      32
	MOVWF      ?LocalText_main+10
	CLRF       ?LocalText_main+11
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,136 :: 		porta=%00000001
	MOVLW      1
	MOVWF      PORTA+0
;MyProject.mbas,137 :: 		dec(cnt)
	DECF       _cnt+0, 1
;MyProject.mbas,138 :: 		WordToStr(cnt,count)
	MOVF       _cnt+0, 0
	MOVWF      FARG_WordToStr_input+0
	CLRF       FARG_WordToStr_input+1
	MOVLW      _count+0
	MOVWF      FARG_WordToStr_output+0
	CALL       _WordToStr+0
;MyProject.mbas,139 :: 		Lcd_Out(1,11,count)
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      11
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _count+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,140 :: 		delay_ms(1000)
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L__main26:
	DECFSZ     R13+0, 1
	GOTO       L__main26
	DECFSZ     R12+0, 1
	GOTO       L__main26
	DECFSZ     R11+0, 1
	GOTO       L__main26
	NOP
	NOP
;MyProject.mbas,142 :: 		if (cnt=1) then
	MOVF       _cnt+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__main28
;MyProject.mbas,143 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,145 :: 		goto delay2
	GOTO       L__main_delay2
L__main28:
;MyProject.mbas,149 :: 		goto delay1 'loop to count
	GOTO       L__main_delay1
;MyProject.mbas,154 :: 		delay2:
L__main_delay2:
;MyProject.mbas,155 :: 		Lcd_Out(1,3,"READY       ")
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      3
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      82
	MOVWF      ?LocalText_main+0
	MOVLW      69
	MOVWF      ?LocalText_main+1
	MOVLW      65
	MOVWF      ?LocalText_main+2
	MOVLW      68
	MOVWF      ?LocalText_main+3
	MOVLW      89
	MOVWF      ?LocalText_main+4
	MOVLW      32
	MOVWF      ?LocalText_main+5
	MOVLW      32
	MOVWF      ?LocalText_main+6
	MOVLW      32
	MOVWF      ?LocalText_main+7
	MOVLW      32
	MOVWF      ?LocalText_main+8
	MOVLW      32
	MOVWF      ?LocalText_main+9
	MOVLW      32
	MOVWF      ?LocalText_main+10
	MOVLW      32
	MOVWF      ?LocalText_main+11
	CLRF       ?LocalText_main+12
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,156 :: 		porta=%00000010
	MOVLW      2
	MOVWF      PORTA+0
;MyProject.mbas,157 :: 		dec(cnt1)
	DECF       _cnt1+0, 1
;MyProject.mbas,158 :: 		WordToStr(cnt1,count1)
	MOVF       _cnt1+0, 0
	MOVWF      FARG_WordToStr_input+0
	CLRF       FARG_WordToStr_input+1
	MOVLW      _count1+0
	MOVWF      FARG_WordToStr_output+0
	CALL       _WordToStr+0
;MyProject.mbas,159 :: 		Lcd_Out(1,12,count1)
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      12
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _count1+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,160 :: 		delay_ms(1000)
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L__main31:
	DECFSZ     R13+0, 1
	GOTO       L__main31
	DECFSZ     R12+0, 1
	GOTO       L__main31
	DECFSZ     R11+0, 1
	GOTO       L__main31
	NOP
	NOP
;MyProject.mbas,162 :: 		if (cnt1=0) then
	MOVF       _cnt1+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main33
;MyProject.mbas,163 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,164 :: 		porta=%00000010          'port a for relay alarm sound
	MOVLW      2
	MOVWF      PORTA+0
;MyProject.mbas,165 :: 		uart1()
	CALL       _uart1+0
;MyProject.mbas,166 :: 		if (uart_rd=66) then
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main64
	MOVLW      66
	XORWF      _uart_rd+0, 0
L__main64:
	BTFSS      STATUS+0, 2
	GOTO       L__main36
;MyProject.mbas,167 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,169 :: 		goto em1
	GOTO       L__main_em1
L__main36:
;MyProject.mbas,171 :: 		goto delay3
	GOTO       L__main_delay3
L__main33:
;MyProject.mbas,174 :: 		goto delay2 'loop to count
	GOTO       L__main_delay2
;MyProject.mbas,177 :: 		delay3:
L__main_delay3:
;MyProject.mbas,178 :: 		Lcd_Out(1,3,"GO       ")
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      3
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      71
	MOVWF      ?LocalText_main+0
	MOVLW      79
	MOVWF      ?LocalText_main+1
	MOVLW      32
	MOVWF      ?LocalText_main+2
	MOVLW      32
	MOVWF      ?LocalText_main+3
	MOVLW      32
	MOVWF      ?LocalText_main+4
	MOVLW      32
	MOVWF      ?LocalText_main+5
	MOVLW      32
	MOVWF      ?LocalText_main+6
	MOVLW      32
	MOVWF      ?LocalText_main+7
	MOVLW      32
	MOVWF      ?LocalText_main+8
	CLRF       ?LocalText_main+9
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,179 :: 		porta=%0000100
	MOVLW      4
	MOVWF      PORTA+0
;MyProject.mbas,180 :: 		dec(cnt2)
	DECF       _cnt2+0, 1
;MyProject.mbas,181 :: 		WordToStr(cnt2,count2)
	MOVF       _cnt2+0, 0
	MOVWF      FARG_WordToStr_input+0
	CLRF       FARG_WordToStr_input+1
	MOVLW      _count2+0
	MOVWF      FARG_WordToStr_output+0
	CALL       _WordToStr+0
;MyProject.mbas,182 :: 		Lcd_Out(1,12,count2)
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      12
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _count2+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,183 :: 		delay_ms(1000)
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L__main40:
	DECFSZ     R13+0, 1
	GOTO       L__main40
	DECFSZ     R12+0, 1
	GOTO       L__main40
	DECFSZ     R11+0, 1
	GOTO       L__main40
	NOP
	NOP
;MyProject.mbas,185 :: 		if (cnt2=0) then
	MOVF       _cnt2+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main42
;MyProject.mbas,186 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,187 :: 		goto delay4
	GOTO       L__main_delay4
L__main42:
;MyProject.mbas,189 :: 		goto delay3 'loo
	GOTO       L__main_delay3
;MyProject.mbas,193 :: 		delay4:
L__main_delay4:
;MyProject.mbas,194 :: 		Lcd_Out(1,3,"READY       ")
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      3
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      82
	MOVWF      ?LocalText_main+0
	MOVLW      69
	MOVWF      ?LocalText_main+1
	MOVLW      65
	MOVWF      ?LocalText_main+2
	MOVLW      68
	MOVWF      ?LocalText_main+3
	MOVLW      89
	MOVWF      ?LocalText_main+4
	MOVLW      32
	MOVWF      ?LocalText_main+5
	MOVLW      32
	MOVWF      ?LocalText_main+6
	MOVLW      32
	MOVWF      ?LocalText_main+7
	MOVLW      32
	MOVWF      ?LocalText_main+8
	MOVLW      32
	MOVWF      ?LocalText_main+9
	MOVLW      32
	MOVWF      ?LocalText_main+10
	MOVLW      32
	MOVWF      ?LocalText_main+11
	CLRF       ?LocalText_main+12
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,195 :: 		porta=%00000010
	MOVLW      2
	MOVWF      PORTA+0
;MyProject.mbas,196 :: 		dec(cnt3)
	DECF       _cnt3+0, 1
;MyProject.mbas,197 :: 		WordToStr(cnt3,count3)
	MOVF       _cnt3+0, 0
	MOVWF      FARG_WordToStr_input+0
	CLRF       FARG_WordToStr_input+1
	MOVLW      _count3+0
	MOVWF      FARG_WordToStr_output+0
	CALL       _WordToStr+0
;MyProject.mbas,198 :: 		Lcd_Out(1,12,count3)
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      12
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _count3+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,199 :: 		delay_ms(1000)
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L__main45:
	DECFSZ     R13+0, 1
	GOTO       L__main45
	DECFSZ     R12+0, 1
	GOTO       L__main45
	DECFSZ     R11+0, 1
	GOTO       L__main45
	NOP
	NOP
;MyProject.mbas,201 :: 		if (cnt3=0) then
	MOVF       _cnt3+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main47
;MyProject.mbas,202 :: 		goto con3
	GOTO       L__main_con3
L__main47:
;MyProject.mbas,205 :: 		goto delay4 'loop to count
	GOTO       L__main_delay4
L__main22:
;MyProject.mbas,209 :: 		if (uart_rd=66) then
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main65
	MOVLW      66
	XORWF      _uart_rd+0, 0
L__main65:
	BTFSS      STATUS+0, 2
	GOTO       L__main50
;MyProject.mbas,210 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,212 :: 		cnt1=6  'delay
	MOVLW      6
	MOVWF      _cnt1+0
;MyProject.mbas,213 :: 		cnt2=21  'delay
	MOVLW      21
	MOVWF      _cnt2+0
;MyProject.mbas,214 :: 		cnt3=6  'delay
	MOVLW      6
	MOVWF      _cnt3+0
;MyProject.mbas,215 :: 		cnt4=40 'emergency
	MOVLW      40
	MOVWF      _cnt4+0
;MyProject.mbas,217 :: 		em1:
L__main_em1:
;MyProject.mbas,218 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,219 :: 		Lcd_Out(2,1,"STOP EMERGENCY") 'pc value 54          portd=%10011111               'forward
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      83
	MOVWF      ?LocalText_main+0
	MOVLW      84
	MOVWF      ?LocalText_main+1
	MOVLW      79
	MOVWF      ?LocalText_main+2
	MOVLW      80
	MOVWF      ?LocalText_main+3
	MOVLW      32
	MOVWF      ?LocalText_main+4
	MOVLW      69
	MOVWF      ?LocalText_main+5
	MOVLW      77
	MOVWF      ?LocalText_main+6
	MOVLW      69
	MOVWF      ?LocalText_main+7
	MOVLW      82
	MOVWF      ?LocalText_main+8
	MOVLW      71
	MOVWF      ?LocalText_main+9
	MOVLW      69
	MOVWF      ?LocalText_main+10
	MOVLW      78
	MOVWF      ?LocalText_main+11
	MOVLW      67
	MOVWF      ?LocalText_main+12
	MOVLW      89
	MOVWF      ?LocalText_main+13
	CLRF       ?LocalText_main+14
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,220 :: 		porta=%00000001          'ready
	MOVLW      1
	MOVWF      PORTA+0
;MyProject.mbas,221 :: 		delay_ms(500)
	MOVLW      6
	MOVWF      R11+0
	MOVLW      19
	MOVWF      R12+0
	MOVLW      173
	MOVWF      R13+0
L__main53:
	DECFSZ     R13+0, 1
	GOTO       L__main53
	DECFSZ     R12+0, 1
	GOTO       L__main53
	DECFSZ     R11+0, 1
	GOTO       L__main53
	NOP
	NOP
;MyProject.mbas,222 :: 		porta=%00000000          'ready
	CLRF       PORTA+0
;MyProject.mbas,223 :: 		dec(cnt4)
	DECF       _cnt4+0, 1
;MyProject.mbas,224 :: 		WordToStr(cnt4,count4)
	MOVF       _cnt4+0, 0
	MOVWF      FARG_WordToStr_input+0
	CLRF       FARG_WordToStr_input+1
	MOVLW      _count4+0
	MOVWF      FARG_WordToStr_output+0
	CALL       _WordToStr+0
;MyProject.mbas,225 :: 		Lcd_Out(1,12,count4)
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      12
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _count4+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,226 :: 		delay_ms(500)
	MOVLW      6
	MOVWF      R11+0
	MOVLW      19
	MOVWF      R12+0
	MOVLW      173
	MOVWF      R13+0
L__main54:
	DECFSZ     R13+0, 1
	GOTO       L__main54
	DECFSZ     R12+0, 1
	GOTO       L__main54
	DECFSZ     R11+0, 1
	GOTO       L__main54
	NOP
	NOP
;MyProject.mbas,227 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,230 :: 		if (cnt4=0) then
	MOVF       _cnt4+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main56
;MyProject.mbas,231 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,232 :: 		if (uart_rd=65) then
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main66
	MOVLW      65
	XORWF      _uart_rd+0, 0
L__main66:
	BTFSS      STATUS+0, 2
	GOTO       L__main59
;MyProject.mbas,233 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,234 :: 		goto con
	GOTO       L__main_con
L__main59:
;MyProject.mbas,236 :: 		goto reset
	GOTO       L__main_reset
L__main56:
;MyProject.mbas,239 :: 		goto em1
	GOTO       L__main_em1
L__main50:
;MyProject.mbas,240 :: 		end if
L__main17:
;MyProject.mbas,254 :: 		wend
	GOTO       L__main11
L_end_main:
	GOTO       $+0
; end of _main
